curl --request POST \
--url https://api.example.com/v1/patients/batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"phone_number": "<string>",
"additional_phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-12-25",
"gender": "male",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "alabama",
"zip": "<string>",
"external_id": "<string>",
"comments": "<string>",
"workflow_stage_id": "<string>",
"assigned_user_id": "<string>",
"tags": [
"<string>"
],
"referral": {
"physician_name": "<string>",
"physician_email": "<string>",
"physician_phone": "<string>",
"physician_fax": "<string>",
"physician_group": "<string>",
"physician_npi": "<string>",
"icd_codes": [
"<string>"
],
"service_types": [
"medical_care"
],
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"location_id": "<string>"
}
}
]
}
'{
"created_count": 123,
"patient_ids": [
"<string>"
]
}Create multiple patients in a single request. All-or-nothing: if any patient fails, nothing is created.
curl --request POST \
--url https://api.example.com/v1/patients/batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"phone_number": "<string>",
"additional_phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-12-25",
"gender": "male",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "alabama",
"zip": "<string>",
"external_id": "<string>",
"comments": "<string>",
"workflow_stage_id": "<string>",
"assigned_user_id": "<string>",
"tags": [
"<string>"
],
"referral": {
"physician_name": "<string>",
"physician_email": "<string>",
"physician_phone": "<string>",
"physician_fax": "<string>",
"physician_group": "<string>",
"physician_npi": "<string>",
"icd_codes": [
"<string>"
],
"service_types": [
"medical_care"
],
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"location_id": "<string>"
}
}
]
}
'{
"created_count": 123,
"patient_ids": [
"<string>"
]
}Request body for batch patient creation.
1 - 500 elementsShow child attributes